CognitiveX Docs
API

GET /api/billing/payg-estimate

Get Payg Estimate

GET /api/billing/payg-estimate

Get Payg Estimate

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Example request

curl -X GET https://api.cognitivx.io/api/billing/payg-estimate \
  -H "Authorization: Bearer icog_..."

Example response

200 application/json

{
  "raw_spend_30d_usd": 0,
  "projected_payg_30d_usd": 0,
  "current_tier": "string",
  "current_tier_price_usd": 0,
  "effective_current_price_usd": 0,
  "savings_vs_current_usd": 0,
  "markup_multiplier": 0,
  "model_breakdown": [
    {}
  ]
}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.